import request from '@/utils/request';
import type { FulfillerSearchQuery } from './types';

/**
 * 模糊检索履约者（通过姓名和手机号）
 * @param query 查询参数
 */
export function listByNameAndPhoneNumber(query: FulfillerSearchQuery) {
    return request({
        url: '/fulfiller/fulfiller/listByNameAndPhoneNumber',
        method: 'get',
        params: query
    });
}
